## lilv 0.24.4~dfsg0

=== debian/changelog ===
lilv (0.24.4~dfsg0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.24.4~dfsg0

  [ Olivier Humbert ]
  * Update control (http -> https)
  * Update copyright (http -> https)
  * Update control (better lilv-utils description)
  * Update control (typo)

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * Fixed plugin search path (Closes: #916289)
  * Drop "get-orig-source" target in favour of uscan
    * Add "repack-waf" script
    * Use repack-waf script in d/watch
  * Update d/copyright for the new d/repack-waf stuff
  * Add explanation on why the package gets repacked
  * Add pgp-check to d/watch
    * Add upstream gpg-key
  * Removed trailing whitespace in d/control
  * Bump dh compat to 12
  * Bump standards version to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 22 Aug 2019 12:00:49 +0200

lilv (0.24.2~dfsg0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version.
  * debian/:
    - Bump debhelper compat to 11.
    - Move library to multi-arch path (Closes: #904099).
    - Also load plugins from non multi-arch paths.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 24 Jul 2018 19:40:41 +0200
