=== debian/watch ===
version=4
opts="pgpmode=auto,uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
https://download.drobilla.net/lilv-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian debian/repack-waf
