## lilv 0.24.6

=== debian/changelog ===
lilv (0.24.6-1) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #941710)
    + Export suitable cross environment from dpkg's buildtools.mk.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Dennis Braun ]
  * New upstream release 0.24.6
  * d/control: Bump Standards-Version to 4.5.0
  * d/copyright: Update year, remove comment and repack entry
  * Update 1001-dont_run_ldconfig.patch
  * Remove d/repack-waf and d/unpack_waf.sh

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 02 Feb 2020 15:04:42 +0100

lilv (0.24.4~dfsg0-2) unstable; urgency=medium

  [ Stuart Prescott ]
  * Team upload.
  * Build with Python 3 rather than Python 2 (Closes: #943105).

  [ Debian Janitor ]
  * Remove patches 1002-fix_gnu_kfreebsd_build.patch that are missing
    from debian/patches/series.
  * Re-export upstream signing key without extra signatures.

 -- Stuart Prescott <stuart@debian.org>  Thu, 16 Jan 2020 23:50:55 +1100
