=== debian/control ===
--- 
+++ 
@@ -14,11 +14,12 @@
  libsratom-dev (>= 0.4.0~),
  lv2-dev (>= 1.14.0~),
  pkg-config,
- python
-Standards-Version: 4.4.0
+ python3
+Standards-Version: 4.5.0
 Homepage: https://drobilla.net/software/lilv/
 Vcs-Git: https://salsa.debian.org/multimedia-team/lilv.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/lilv
+Rules-Requires-Root: no
 
 Package: liblilv-0-0
 Architecture: any
