=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,15 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export LINKFLAGS += $(LDFLAGS)
+export CC
+export PKGCONFIG = $(PKG_CONFIG)
 
-WAF = ./waf
+WAF = python3 ./waf
 
 %:
 	dh $@
