=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://download.drobilla.net/lilv-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
