=== debian/changelog ===
lilv (0.24.8~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.24.8~dfsg0
    + Exclude the .waf* directory
  * Add me as uploader
  * Update B-Ds
  * Bump dh-compat to 13
  * Mark liblilv-dev as Multi-Arch: same (Closes: #958748)
  * Add liblilv-dev as B-D to the symbols file
  * Remove obsolete LDFLAGS export
  * Update d/copyright year
  * Update d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 30 Apr 2020 20:17:22 +0200
