=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libjack-dev,
  libsndfile1-dev,
  libserd-dev (>= 0.22.0~),
  libsord-dev (>= 0.14.0~),
  libsratom-dev (>= 0.4.0~),
- lv2-dev (>= 1.14.0~),
+ lv2-dev (>= 1.18.0~),
  pkg-config,
  python3
 Standards-Version: 4.5.0
@@ -39,6 +40,7 @@
 Package: liblilv-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  liblilv-0-0 (= ${binary:Version}),
  libserd-dev (>= 0.22.0~),
