## lilv 0.24.10

=== wscript ===
--- 
+++ 
@@ -1,18 +1,18 @@
 #!/usr/bin/env python
 
+import glob
 import os
 import shutil
-import subprocess
 import sys
 
-from waflib import Options, Logs
+from waflib import Build, Options, Logs
 from waflib.extras import autowaf
 
 # Library and package version (UNIX style major, minor, micro)
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-LILV_VERSION       = '0.24.8'
+LILV_VERSION       = '0.24.10'
 LILV_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -25,6 +25,32 @@
 uri          = 'http://drobilla.net/sw/lilv'
 dist_pattern = 'http://download.drobilla.net/lilv-%d.%d.%d.tar.bz2'
 post_tags    = ['Hacking', 'LAD', 'LV2', 'Lilv']
+
+tests = [
+    'test_bad_port_index',
+    'test_bad_port_symbol',
+    'test_classes',
+    'test_discovery',
+    'test_filesystem',
+    'test_get_symbol',
+    'test_no_author',
+    'test_no_verify',
+    'test_plugin',
+    'test_port',
+    'test_preset',
+    'test_project',
+    'test_project_no_author',
+    'test_prototype',
+    'test_reload_bundle',
+    'test_replace_version',
+    'test_state',
+    'test_string',
+    'test_ui',
+    'test_util',
+    'test_value',
+    'test_verify',
+    'test_world',
+]
 
 test_plugins = [
     'bad_syntax',
@@ -39,6 +65,7 @@
     'new_version',
     'old_version'
 ]
+
 
 def options(ctx):
     ctx.load('compiler_c')
@@ -59,21 +86,22 @@
                    dest='default_lv2_path',
                    help='default LV2 path to use if LV2_PATH is unset')
 
+
 def configure(conf):
     conf.load('compiler_c', cache=True)
     try:
         conf.load('compiler_cxx', cache=True)
         conf.define('LILV_CXX', True)
-    except:
+    except Exception:
         pass
 
     if not Options.options.no_bindings:
         try:
             conf.load('python', cache=True)
-            conf.check_python_version((2,6,0))
+            conf.check_python_version((2, 6, 0))
             conf.env.LILV_PYTHON = 1
-        except:
-            Logs.warn('Failed to configure Python (%s)\n' % sys.exc_info()[1])
+        except Exception as e:
+            Logs.warn('Failed to configure Python (%s)\n' % e)
 
     conf.load('autowaf', cache=True)
     autowaf.set_c_lang(conf, 'c99')
@@ -88,6 +116,71 @@
     if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
         conf.fatal('Neither a shared nor a static build requested')
 
+    if Options.options.strict:
+        # Check for programs used by lint target
+        conf.find_program("flake8", var="FLAKE8", mandatory=False)
+        conf.find_program("clang-tidy", var="CLANG_TIDY", mandatory=False)
+        conf.find_program("iwyu_tool", var="IWYU_TOOL", mandatory=False)
+
+    if Options.options.ultra_strict:
+        autowaf.add_compiler_flags(conf.env, '*', {
+            'clang': [
+                '-Wno-documentation-unknown-command',
+            ]
+        })
+
+        autowaf.add_compiler_flags(conf.env, 'c', {
+            'clang': [
+                '-Wno-cast-align',
+                '-Wno-cast-qual',
+                '-Wno-double-promotion',
+                '-Wno-float-equal',
+                '-Wno-format-nonliteral',
+                '-Wno-implicit-float-conversion',
+                '-Wno-implicit-int-conversion',
+                '-Wno-padded',
+                '-Wno-reserved-id-macro',
+                '-Wno-shorten-64-to-32',
+                '-Wno-sign-conversion',
+                '-Wno-switch-enum',
+                '-Wno-unused-parameter',
+                '-Wno-vla',
+            ],
+            'gcc': [
+                '-Wno-cast-align',
+                '-Wno-cast-qual',
+                '-Wno-conversion',
+                '-Wno-double-promotion',
+                '-Wno-float-equal',
+                '-Wno-padded',
+                '-Wno-stack-protector',
+                '-Wno-suggest-attribute=const',
+                '-Wno-suggest-attribute=pure',
+                '-Wno-switch-enum',
+                '-Wno-unused-parameter',
+                '-Wno-vla',
+            ],
+            'msvc': [
+                '/wd4061',  # enumerator in switch is not explicitly handled
+                '/wd4365',  # signed/unsigned mismatch
+                '/wd4514',  # unreferenced inline function has been removed
+                '/wd4774',  # format string is not a string literal
+                '/wd4820',  # padding added after construct
+                '/wd4996',  # POSIX name for this item is deprecated
+            ],
+        })
+
+        autowaf.add_compiler_flags(conf.env, 'cxx', {
+            'clang': [
+                '-Wno-extra-semi',
+            ],
+            'gcc': [
+                '-Wno-effc++',
+                '-Wno-extra-semi',
+                '-Wno-pedantic',
+            ],
+        })
+
     conf.check_pkg('lv2 >= 1.18.0', uselib_store='LV2')
     conf.check_pkg('serd-0 >= 0.30.0', uselib_store='SERD')
     conf.check_pkg('sord-0 >= 0.14.0', uselib_store='SORD')
@@ -106,31 +199,47 @@
                         header_name = ['sys/stat.h'],
                         defines     = defines,
                         define_name = 'HAVE_LSTAT',
+                        return_type = 'int',
+                        arg_types   = 'const char*, struct stat*',
                         mandatory   = False)
 
     conf.check_function('c', 'flock',
                         header_name = 'sys/file.h',
                         defines     = defines,
                         define_name = 'HAVE_FLOCK',
+                        return_type = 'int',
+                        arg_types   = 'int, int',
                         mandatory   = False)
 
     conf.check_function('c', 'fileno',
                         header_name = 'stdio.h',
                         defines     = defines,
                         define_name = 'HAVE_FILENO',
+                        return_type = 'int',
+                        arg_types   = 'FILE*',
                         mandatory   = False)
 
     conf.check_function('c', 'clock_gettime',
-                        header_name  = ['sys/time.h','time.h'],
+                        header_name  = ['sys/time.h', 'time.h'],
                         defines      = ['_POSIX_C_SOURCE=200809L'],
                         define_name  = 'HAVE_CLOCK_GETTIME',
                         uselib_store = 'CLOCK_GETTIME',
                         lib          = rt_lib,
+                        return_type  = 'int',
+                        arg_types    = 'clockid_t, struct timespec*',
                         mandatory    = False)
 
     conf.check_cc(define_name = 'HAVE_LIBDL',
                   lib         = 'dl',
                   mandatory   = False)
+
+    if conf.env.DEST_OS == 'win32':
+        conf.check_function('c', 'CreateSymbolicLink',
+                            header_name = ['windows.h'],
+                            define_name = 'HAVE_CREATESYMBOLICLINK',
+                            return_type = 'BOOLEAN',
+                            arg_types   = 'LPCSTR, LPCSTR, DWORD',
+                            mandatory   = False)
 
     if Options.options.dyn_manifest:
         conf.define('LILV_DYN_MANIFEST', 1)
@@ -179,6 +288,7 @@
          'Dynamic manifest support': conf.is_defined('LILV_DYN_MANIFEST'),
          'Python bindings':          bool(conf.env.LILV_PYTHON)})
 
+
 def build_util(bld, name, defines, libs=''):
     obj = bld(features     = 'c cprogram',
               source       = name + '.c',
@@ -197,6 +307,7 @@
             obj.linkflags        = ['-static', '-Wl,--start-group']
     return obj
 
+
 def build(bld):
     # C/C++ Headers
     includedir = '${INCLUDEDIR}/lilv-%s/lilv' % LILV_MAJOR_VERSION
@@ -205,6 +316,7 @@
 
     lib_source = '''
         src/collections.c
+        src/filesystem.c
         src/instance.c
         src/lib.c
         src/node.c
@@ -231,89 +343,3 @@
         libflags = []
 
     # Pkgconfig file
-    autowaf.build_pc(bld, 'LILV', LILV_VERSION, LILV_MAJOR_VERSION, [],
-                     {'LILV_MAJOR_VERSION' : LILV_MAJOR_VERSION,
-                      'LILV_PKG_DEPS'      : 'lv2 serd-0 sord-0 sratom-0',
-                      'LILV_PKG_LIBS'      : ' -l'.join([''] + lib)})
-
-    # Shared Library
-    if bld.env.BUILD_SHARED:
-        obj = bld(features        = 'c cshlib',
-                  export_includes = ['.'],
-                  source          = lib_source,
-                  includes        = ['.', './src'],
-                  name            = 'liblilv',
-                  target          = 'lilv-%s' % LILV_MAJOR_VERSION,
-                  vnum            = LILV_VERSION,
-                  install_path    = '${LIBDIR}',
-                  defines         = ['LILV_SHARED', 'LILV_INTERNAL'],
-                  cflags          = libflags,
-                  lib             = lib,
-                  uselib          = 'SERD SORD SRATOM LV2')
-
-    # Static library
-    if bld.env.BUILD_STATIC:
-        obj = bld(features        = 'c cstlib',
-                  export_includes = ['.'],
-                  source          = lib_source,
-                  includes        = ['.', './src'],
-                  name            = 'liblilv_static',
-                  target          = 'lilv-%s' % LILV_MAJOR_VERSION,
-                  vnum            = LILV_VERSION,
-                  install_path    = '${LIBDIR}',
-                  defines         = defines + ['LILV_INTERNAL'],
-                  uselib          = 'SERD SORD SRATOM LV2')
-
-    # Python bindings
-    if bld.env.LILV_PYTHON:
-        bld(features     = 'subst',
-            is_copy      = True,
-            source       = 'bindings/python/lilv.py',
-            target       = 'lilv.py',
-            install_path = '${PYTHONDIR}')
-
-    if bld.env.BUILD_TESTS:
-        import re
-
-        test_libs      = lib
-        test_cflags    = ['']
-        test_linkflags = ['']
-        if not bld.env.NO_COVERAGE:
-            test_cflags    += ['--coverage']
-            test_linkflags += ['--coverage']
-
-        # Copy skeleton LV2 bundle for tests
-        for name in ('manifest.ttl', 'lv2core.ttl'):
-            bld(features     = 'subst',
-                is_copy      = True,
-                source       = 'test/core.lv2/' + name,
-                target       = 'test/test_lv2_path/core.lv2/' + name,
-                install_path = None)
-
-        # Make a pattern for shared objects without the 'lib' prefix
-        module_pattern = re.sub('^lib', '', bld.env.cshlib_PATTERN)
-        shlib_ext = module_pattern[module_pattern.rfind('.'):]
-
-        for p in ['test'] + test_plugins:
-            obj = bld(features     = 'c cshlib',
-                      source       = 'test/%s.lv2/%s.c' % (p, p),
-                      name         = p,
-                      target       = 'test/%s.lv2/%s' % (p, p),
-                      install_path = None,
-                      defines      = defines,
-                      cflags       = test_cflags,
-                      linkflags    = test_linkflags,
-                      lib          = test_libs,
-                      uselib       = 'LV2')
-            obj.env.cshlib_PATTERN = module_pattern
-
-        for p in test_plugins:
-            if not bld.path.find_node('test/%s.lv2/test_%s.c' % (p, p)):
-                continue
-
-            obj = bld(features     = 'c cprogram',
-                      source       = 'test/%s.lv2/test_%s.c' % (p, p),
-                      target       = 'test/test_%s' % p,
-                      includes     = ['.', './src'],
-                      use          = 'liblilv_profiled',
-                      install_path = None,
