=== debian/changelog ===
lilv (0.24.10-1) unstable; urgency=medium

  * New upstream version 0.24.10
    + .waf folder not anymore in upstream tarball
  * Update ldconfig patch

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 30 Sep 2020 00:05:31 +0200
