## lilv 0.24.12

=== wscript ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-LILV_VERSION       = '0.24.10'
+LILV_VERSION       = '0.24.12'
 LILV_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -106,6 +106,9 @@
     conf.load('autowaf', cache=True)
     autowaf.set_c_lang(conf, 'c99')
 
+    if conf.env.DOCS:
+        conf.load('sphinx')
+
     conf.env.BASH_COMPLETION = not Options.options.no_bash_completion
     conf.env.BUILD_UTILS     = not Options.options.no_utils
     conf.env.BUILD_SHARED    = not Options.options.no_shared
@@ -126,6 +129,7 @@
         autowaf.add_compiler_flags(conf.env, '*', {
             'clang': [
                 '-Wno-documentation-unknown-command',
+                '-Wno-nullability-extension',
             ]
         })
 
@@ -232,14 +236,6 @@
     conf.check_cc(define_name = 'HAVE_LIBDL',
                   lib         = 'dl',
                   mandatory   = False)
-
-    if conf.env.DEST_OS == 'win32':
-        conf.check_function('c', 'CreateSymbolicLink',
-                            header_name = ['windows.h'],
-                            define_name = 'HAVE_CREATESYMBOLICLINK',
-                            return_type = 'BOOLEAN',
-                            arg_types   = 'LPCSTR, LPCSTR, DWORD',
-                            mandatory   = False)
 
     if Options.options.dyn_manifest:
         conf.define('LILV_DYN_MANIFEST', 1)
@@ -273,12 +269,17 @@
             lv2_path = lilv_path_sep.join(['~/.lv2',
                                            '/usr/%s/lv2' % libdirname,
                                            '/usr/local/%s/lv2' % libdirname])
+
+    if sys.platform == 'win32':
+        lv2_path = lv2_path.replace('%', '%%')
+
     conf.define('LILV_DEFAULT_LV2_PATH', lv2_path)
 
-    autowaf.set_lib_env(conf, 'lilv', LILV_VERSION)
-    conf.write_config_header('lilv_config.h', remove=False)
-
-    conf.undefine('LILV_DEFAULT_LV2_PATH')  # Cmd line errors with VC++
+    # Set up environment for building/using as a subproject
+    autowaf.set_lib_env(conf, 'lilv', LILV_VERSION,
+                        include_path=str(conf.path.find_node('include')))
+
+    conf.define('LILV_NO_DEFAULT_CONFIG', 1)
 
     autowaf.display_summary(
         conf,
@@ -292,7 +293,7 @@
 def build_util(bld, name, defines, libs=''):
     obj = bld(features     = 'c cprogram',
               source       = name + '.c',
-              includes     = ['.', './src', './utils'],
+              includes     = ['.', 'include', './src', './utils'],
               use          = 'liblilv',
               uselib       = 'SERD SORD SRATOM LV2 ' + libs,
               target       = name,
@@ -311,8 +312,8 @@
 def build(bld):
     # C/C++ Headers
     includedir = '${INCLUDEDIR}/lilv-%s/lilv' % LILV_MAJOR_VERSION
-    bld.install_files(includedir, bld.path.ant_glob('lilv/*.h'))
-    bld.install_files(includedir, bld.path.ant_glob('lilv/*.hpp'))
+    bld.install_files(includedir, bld.path.ant_glob('include/lilv/*.h'))
+    bld.install_files(includedir, bld.path.ant_glob('include/lilv/*.hpp'))
 
     lib_source = '''
         src/collections.c
@@ -343,3 +344,5 @@
         libflags = []
 
     # Pkgconfig file
+    autowaf.build_pc(bld, 'LILV', LILV_VERSION, LILV_MAJOR_VERSION, [],
+                     {'LILV_MAJOR_VERSION': LILV_MAJOR_VERSION,
