=== debian/changelog ===
lilv (0.24.12-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 17 Jun 2023 10:37:13 -0700

lilv (0.24.12-2) unstable; urgency=medium

  * d/control: Fix really FTCBFS, with python3:native as B-D (Closes: #941710)
  * Add d/lilv-utils.lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 24 Jan 2021 20:44:49 +0100

lilv (0.24.12-1) unstable; urgency=medium

  * New upstream version 0.24.12
  * Bump S-V to 4.5.1, no changes needed
  * Refresh ldconfig patch
  * Clean d/watch

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 14 Jan 2021 21:01:24 +0100
