=== debian/control ===
Source: lilv
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
           Jaromír Mikeš <mira.mikes@seznam.cz>,
           Dennis Braun <d_braun@kabelmail.de>
Build-Depends: debhelper-compat (= 13),
               libjack-dev,
               libserd-dev (>= 0.22.0~),
               libsndfile1-dev,
               libsord-dev (>= 0.14.0~),
               libsratom-dev (>= 0.4.0~),
               lv2-dev (>= 1.18.0~),
               pkg-config,
               python3:native
Standards-Version: 4.5.1
Homepage: https://drobilla.net/software/lilv/
Vcs-Git: https://salsa.debian.org/multimedia-team/lilv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/lilv
Rules-Requires-Root: no

Package: liblilv-0-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for simple use of LV2 plugins
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the shared library.

Package: liblilv-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblilv-0-0 (= ${binary:Version}),
         libserd-dev (>= 0.22.0~),
         libsord-dev (>= 0.14.0~),
         libsratom-dev (>= 0.4.0~),
         lv2-dev,
         ${misc:Depends}
Description: library for simple use of LV2 plugins (development files)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the development files.

Package: lilv-utils
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: lv2-host
Description: library for simple use of LV2 plugins (runtime files)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the following utilities:
  * lv2info - Extract information about an installed LV2 plugin.
  * lv2ls - List all installed LV2 plugins.
  * lv2apply - Apply an LV2 plugin to an audio file.
  * lv2bench - Benchmark all installed and supported LV2 plugins.
  * lilv-bench
