=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export LINKFLAGS += $(LDFLAGS)
 export CC
 export PKGCONFIG = $(PKG_CONFIG)
@@ -37,3 +36,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
