## lilv 0.24.14

=== wscript ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-LILV_VERSION       = '0.24.12'
+LILV_VERSION       = '0.24.14'
 LILV_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -109,6 +109,8 @@
     if conf.env.DOCS:
         conf.load('sphinx')
 
+    conf.env.LILV_MAJOR_VERSION = LILV_MAJOR_VERSION
+
     conf.env.BASH_COMPLETION = not Options.options.no_bash_completion
     conf.env.BUILD_UTILS     = not Options.options.no_utils
     conf.env.BUILD_SHARED    = not Options.options.no_shared
@@ -147,7 +149,6 @@
                 '-Wno-shorten-64-to-32',
                 '-Wno-sign-conversion',
                 '-Wno-switch-enum',
-                '-Wno-unused-parameter',
                 '-Wno-vla',
             ],
             'gcc': [
@@ -161,7 +162,6 @@
                 '-Wno-suggest-attribute=const',
                 '-Wno-suggest-attribute=pure',
                 '-Wno-switch-enum',
-                '-Wno-unused-parameter',
                 '-Wno-vla',
             ],
             'msvc': [
