=== debian/changelog ===
lilv (0.24.14-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Drop libjack-dev from Build-Depends, unused since 0.4.4. (Closes: #981273)

  [ Dennis Braun ]
  * New upstream version 0.24.14
  * Refresh patch
  * Bump Standards Version to 4.6.1
  * d/copyright: Bump year and add myself to the d/ section
  * Update d/liblilv-0-0.symbols
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 31 May 2022 19:20:25 +0200
