=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
